package com.ssj.service.conch.teacher.request.oneonly;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import com.ssj.conch.constant.CourseConstant;

public class ApplyTeacherRep implements Serializable{

    /**
	 * 
	 */
	private static final long serialVersionUID = -2839771444931081752L;

	private String  headPicUrl;
	
	private String realName;
	
	private Integer sex;
	
	private String concatPhone;
	
	private List<FrontVo> subjects = new ArrayList<>();
	
	private Integer schoolAge;
	
	private List<Map<String, Object>> personalLabel;
	
	private String personalInfo;
	
	private String teachPoint;

	private String successfulCase;
	
	private List<TeacherImgVO>  teacherImgList;

	public ApplyTeacherRep () {
		this.initSubjects();
	}
	

	public String getHeadPicUrl() {
		return headPicUrl;
	}

	public void setHeadPicUrl(String headPicUrl) {
		this.headPicUrl = headPicUrl;
	}

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	

	public Integer getSex() {
		return sex;
	}

	public void setSex(Integer sex) {
		this.sex = sex;
	}

	public String getConcatPhone() {
		return concatPhone;
	}

	public void setConcatPhone(String concatPhone) {
		this.concatPhone = concatPhone;
	}

	public void initSubjects () {
		CourseConstant.subjectList.forEach((subject) -> {
			FrontVo fv = new FrontVo(subject);
			//未选中
			fv.setActive(1);
			this.subjects.add(fv);
		});
	}

	public List<FrontVo> getSubjects() {
		return subjects;
	}

	public void setSubjects(List<FrontVo> subjects) {
		this.subjects = subjects;
	}

	public Integer getSchoolAge() {
		return schoolAge;
	}

	public void setSchoolAge(Integer schoolAge) {
		this.schoolAge = schoolAge;
	}

	

	public List<Map<String, Object>> getPersonalLabel() {
		return personalLabel;
	}

	public void setPersonalLabel(List<Map<String, Object>> personalLabel) {
		this.personalLabel = personalLabel;
	}

	public String getPersonalInfo() {
		return personalInfo;
	}

	public void setPersonalInfo(String personalInfo) {
		this.personalInfo = personalInfo;
	}

	public String getTeachPoint() {
		return teachPoint;
	}

	public void setTeachPoint(String teachPoint) {
		this.teachPoint = teachPoint;
	}

	public String getSuccessfulCase() {
		return successfulCase;
	}

	public void setSuccessfulCase(String successfulCase) {
		this.successfulCase = successfulCase;
	}

	public List<TeacherImgVO> getTeacherImgList() {
		return teacherImgList;
	}

	public void setTeacherImgList(List<TeacherImgVO> teacherImgList) {
		this.teacherImgList = teacherImgList;
	}
}
